using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
using APT.BaseData.Domain.Entities;
namespace APT.MS.Domain.Entities.HM
{
    [Description("关键任务分析附件表")]
    public class T_HM_CRUCIAL_ANALYSIS_FILE : MesEntityBase
    {
        [Description("关键任务分析细表ID")]
        [DataFieldForeignKey("Nav_Details", "Nav_Files")]
        public Guid? CRUCIAL_TASK_ANALYSIS_DETAIL_ID { get; set; }

        [Description("导航属性：关键任务分析表")]
        public virtual T_HM_CRUCIAL_TASK_DETAIL Nav_Details { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }




    }
}
